Skip to main content
Version: v2

Brand Metric Groups

What are brand metric groups?​

When BAV studies a brand it does so on a variety of metrics. These metrics are divided into groups. Each group relates to a specific way to look at a brand, or to a BAV model.

List all brand metric groups​

To list all of the brand metric groups and browse them via the API, use the list endpoint:

GET /api/v2/brand-metric-groups

Get a brand metric group​

You may also directly retrieve a brand metric group's details if you already have its system ID.

GET /api/v2/brand-metric-groups/123

Where 123 is the system ID of the brand metric group.

Schema​

Full response schema​

KeyTypeFilterableSortableConfigurableDescription
idinteger✅ (exact)✅✅The system ID.
namestring✅✅✅The primary name of the group.
keystring✅✅✅A machine-readable name for the group.
descriptionstring✅✅✅A short description on what this group is about.
is_publicboolean✅✅✅Whether the group is publicly available for all users.
created_atstring❌✅✅A datetime string when this brand was first created.
updated_atstring(updated since)✅✅A datetime string when this brand was last updated.

Relationship Response Schema​

The slim relationship schema is used when the brand metric group is used as part of an include in another resource.

KeyTypeDescription
idintegerThe system ID for the group.
namestringThe primary name of the group.

Additional Filters​

For convenience, we have a set of additional filters for brands that are not available in the default filters or are part of the columns. These are:

  • public - Set to 1 to only return public metrics.
  • private - Set to 1 to only return private metrics.

Relationships & includes​

By default, relationships apart from the sector are not included. See the includes section for more information on how this works. The following relationships are available:

  • metric - The metrics that are part of this group.